import 'prismjs';
import { visit } from 'unist-util-visit';
import { preElementSelector } from './pre-element-selector.js';
import { parseCodeVisitor } from './parse-code-vistor.js';
const rehypePrism = (options) => {
    if (options && options.plugins) {
        const plugins = options.plugins.filter(plugin => plugin !== 'line-numbers');
        for (const plugin of plugins) {
            import(`prismjs/plugins/${plugin}/prism-${plugin}.js`);
        }
    }
    return tree => visit(tree, preElementSelector(), parseCodeVisitor(options));
};
export default rehypePrism;
